Package com.arthenica.ffmpegkit

## Class ReturnCode

- java.lang.Object
- - com.arthenica.ffmpegkit.ReturnCode

    public class ReturnCode
    extends java.lang.Object

### Field Summary

Fields
`static int` `CANCEL`
`static int` `SUCCESS`

### Constructor Summary

Constructors
`ReturnCode​(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`boolean` `isCancel()`
`static boolean` `isCancel​(ReturnCode returnCode)`
`boolean` `isError()`
`boolean` `isSuccess()`
`static boolean` `isSuccess​(ReturnCode returnCode)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SUCCESS

    public static int SUCCESS

#### CANCEL

    public static int CANCEL

### Constructor Detail

#### ReturnCode

    public ReturnCode​(int value)

### Method Detail

#### isSuccess

    public static boolean isSuccess​(ReturnCode returnCode)

#### isCancel

    public static boolean isCancel​(ReturnCode returnCode)

#### getValue

    public int getValue()

#### isSuccess

    public boolean isSuccess()

#### isError

    public boolean isError()

#### isCancel

    public boolean isCancel()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`